FactoryBot.define do
  factory :tag do
    category { 'general' }
    post_count { 0 }
    association :tag_name

    trait :nico do
      category { 'nico' }
      tag_name { association(:tag_name, name: "nico:#{ SecureRandom.hex(4) }") }
    end
  end
end
